Bug 2141 - find -ls and ls -l report different block counts
find -ls and ls -l report different block counts
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: findutils (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-12 11:54 EDT by Richard Troxel
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-27 12:55:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Troxel 1999-04-12 11:54:58 EDT
% rpm -q fileutils findutils
fileutils-3.16-6
findutils-4.1-20
% ls -ils /usr/bin/suidperl
 252446  438 -rws--x--x   2 root     root       444460 Oct
20  1997 /usr/bin/suidperl
% find /usr/bin -name suidperl -ls
252446  435 -rws--x--x   2 root     root       444460 Oct
20  1997 /usr/bin/suidperl

Which block count is correct?  [Along with the inconsistent
spacing ahead of the inode #, this really complicates my
COPS maintenance.]
Comment 1 Jay Turner 1999-05-24 10:27:59 EDT
Get same discrepancies with fileutils-4.0-1 and findutils-4.1-31
Comment 2 Preston Brown 1999-08-27 12:54:59 EDT
the 'ls' block count is incorrect.  Examination of findutils has shown
that the algorithm it uses for determining block count is wrong.  This
will be fixed in our next release.

Note You need to log in before you can comment on or make changes to this bug.